typedef struct _type
{
	struct _type *link;
	char *name;
	char *typedefname;
	enum Basictype type;
	struct _sym *syms;
	int t_const : 1;
	int t_volatile : 1;
	int t_restrict : 1;
} TYPE;

typedef struct _sym
{
	struct _sym *link;
	struct _type *type;
	char *name;
	char *filename;
	int startline;
	int endline;
} SYM;

void deleteSymsForFile(char *name);
TYPE *parse_lookup_symtype(char *name, char *module, int line);
int parse_lookup_prototype(char *proto, char *name, int *offsets);
void deleteFileData(char *name);


